View Issue Details

IDProjectCategoryView StatusLast Update
0007737mantisbtfilterspublic2014-12-08 00:34
Reporterlangis 
Assigned Todregad 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.0.0 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0007737: Changed(hrs) filter
Description

What does the Changed(Hrs) filter do? I thought it was to show all issues that have been amended in the last (6hrs by default). But it cannot be since it always show issues that have not been modified in the last 10 days as well.

Either this filter is to report something useful or it should be removed from the filter list since it ends up confusing filters more than provide any useful function.

TagsNo tags attached.

Relationships

related to 0006448 closedcproensa The "Changed(hrs):" filter label is confusing: change to "Hilite Changed(hrs):" 
related to 0014736 acknowledged UI changes for filter property 'match type' 
related to 0012389 closedatrol Changed(hrs) field of filter doesn't impact on filter conditions. 

Activities

atrol

atrol

2010-08-19 03:42

developer   ~0026371

Changed(Hrs) setting is not working as a filter.
The values of column Updated are shown bold if the issue has been updated in last n hours.

A change of UI could help to avoid this confusion.
Perhaps place it right beside Sort by

HeikoSL

HeikoSL

2013-04-26 05:18

reporter   ~0036671

I just stumbled over the Changed(hrs) filter.

I could imagine to do two changes:

  • place Changed(hrs) right beside Sort by and rename it to Highlight changes (hrs)
  • build a new filter that takes the previous position of Changed(hrs) and that is doing what many users expected Changed(hrs) to do: show all entries that have been updated in the last <<input>> hours.

What do you think of it?

For testing purposes I have done those changes using a plugin. But I think it could be useful to change the core functionality.

dregad

dregad

2013-04-26 05:33

developer   ~0036673

HeikoSL,

Both ideas make sense, and I fully agree that it should be in core and not a plugin. I would suggest:

place Changed(hrs) right beside Sort by and rename it to Highlight changes (hrs)

Implement this one right away (please submit a pull request)

build a new filter that takes the previous position of Changed(hrs) and that is doing what many users expected
Changed(hrs) to do: show all entries that have been updated in the last <<input>> hours.

This is indeed the real solution, but considering that the filter api is a complex and sensitive beast, it might be better to postpone implementation to a later date (although a Pull Request is still welcome).

atrol

atrol

2013-04-26 07:03

developer   ~0036677

There is some more redesign needed, e.g.
Show is also no filter but a setting

Have also a look at 0014736 for other UI enhancements.

Maybe its better to wait until we have our final decision for the future branch for 1.3.x and do all changes around the filter UI in one step.

HeikoSL

HeikoSL

2013-04-26 09:14

reporter   ~0036678

place Changed(hrs) right beside Sort by and rename it to Highlight changes (hrs)

is in https://github.com/mantisbt/mantisbt/pull/81

dregad

dregad

2014-02-05 12:55

developer   ~0039328

Patch ported to master, available for review at https://github.com/dregad/mantisbt/tree/fix-7737-master

Related Changesets

MantisBT: master cbe44c0b

2013-04-26 09:09:09

HeikoSL


Committer: dregad Details Diff
Changed position and label of 'Changed(Hrs)' filter

This setting is actually not a filter but a display option that
just highlights the last updated date. The field has been moved next to
'Sort by', and its label changed to reflect its real function.

Fixes 0007737

This is a port of the original 1.2.x commits from the pull request
(squashed).

Signed-off-by: Damien Regad <dregad@mantisbt.org>
mod - core/filter_api.php Diff File
mod - lang/strings_english.txt Diff File

Issue History

Date Modified Username Field Change
2007-01-24 13:06 langis New Issue
2010-08-19 03:42 atrol Note Added: 0026371
2010-08-19 03:42 atrol Status new => acknowledged
2010-08-22 10:37 atrol Relationship added related to 0006448
2012-10-10 13:13 dregad Relationship added related to 0012389
2013-04-26 05:18 HeikoSL Note Added: 0036671
2013-04-26 05:33 dregad Note Added: 0036673
2013-04-26 07:03 atrol Note Added: 0036677
2013-04-26 07:03 atrol Relationship added related to 0014736
2013-04-26 09:14 HeikoSL Note Added: 0036678
2014-02-05 12:55 dregad Assigned To => dregad
2014-02-05 12:55 dregad Status acknowledged => assigned
2014-02-05 12:55 dregad Note Added: 0039328
2014-02-05 12:55 dregad Target Version => 1.3.0-beta.1
2014-02-13 14:43 dregad Changeset attached => MantisBT master cbe44c0b
2014-02-13 14:43 dregad Status assigned => resolved
2014-02-13 14:43 dregad Resolution open => fixed
2014-02-13 14:43 dregad Fixed in Version => 1.3.0dev
2014-02-13 16:08 atrol Fixed in Version 1.3.0dev => 1.3.0-beta.1
2014-12-08 00:34 vboctor Status resolved => closed